Table of Contents

## Name

nv - NVIDIA video driver

## Synopsis

    Section "Device"
      Identifier "devname"
      Driver "nv"
      ...
    EndSection

## Description

nv is an XFree86 driver for NVIDIA video cards. The driver supports 2D acceleration and provides support for the following framebuffer depths: 8, 15, 16 (except Riva128) and 24. All visual types are supported for depth 8, TrueColor and DirectColor visuals are supported for the other depths with the exception of the Riva128 which only supports TrueColor in the higher depths.

## Supported Hardware

The nv driver supports PCI, PCI-Express and AGP video cards based on the following NVIDIA chips:

RIVA 128
  NV3
RIVA TNT
  NV4
RIVA TNT2
  NV5
GeForce 256, QUADRO
  NV10
GeForce2, QUADRO2
  NV11 & NV15
GeForce3, QUADRO DCC
  NV20
nForce, nForce2
  NV1A, NV1F
GeForce4, QUADRO4
  NV17, NV18, NV25, NV28
GeForce FX, QUADRO FX
  NV30, NV31, NV34, NV35, NV36, NV37, NV38
GeForce 6XXX
  NV40, NV41, NV43, NV44, NV45, C51
GeForce 7XXX
  G70, G71, G72, G73

## Configuration Details

Please refer to XF86Config(5) for general configuration details. This section only covers configuration details specific to this driver.

The driver auto-detects the chipset type and the amount of video memory present for all chips.

The following driver Options are supported:

Option "HWCursor" "boolean"
  Enable or disable the HW cursor. Default: on.
Option "NoAccel" "boolean"
  Disable or enable acceleration. Default: acceleration is enabled.
Option "UseFBDev" "boolean"
  Enable or disable use of an OS-specific fb interface (and is not supported on all OSs). See fbdevhw(4) for further information. Default: off.
Option "CrtcNumber" "integer"
  Many graphics cards with NVIDIA chips have two video outputs. The driver attempts to autodetect which one the monitor is connected to. In the case that autodetection picks the wrong one, this option may be used to force usage of a particular output. The options are "0" or "1". Default: autodetected.
Option "FlatPanel" "boolean"
  The driver usually can autodetect the presence of a digital flat panel. In the case that this fails, this option can be used to force the driver to treat the attached device as a digital flat panel. With this driver, a digital flat panel will work only if it was POSTed by the BIOS, that is, the computer must have booted to the panel. If you have a dual head card you may also need to set the option CrtcNumber described above. Default: autodetected.
Option "FPDither" "boolean"
  Many digital flat panels (particularly ones on laptops) have only 6 bits per component color resolution. This option tells the driver to dither from 8 bits per component to 6 before the flat panel truncates it. Default: off.
Option "FPScale" "boolean"
  Supported only on GeForce4 and newer chips, this option tells to the driver to scale lower resolutions up to the flat panel's native resolution. Default: on.

Option "Rotate" "CW"
Option "Rotate" "CCW"
  Rotate the display clockwise or counterclockwise. This mode is unaccelerated. Default: no rotation.

  Note: The Resize and Rotate extension will be disabled if the Rotate option is used.

Option "ShadowFB" "boolean"
  Enable or disable use of the shadow framebuffer layer. Default: off.

## See Also

XFree86(1) , XF86Config(5) , xf86config(1) , Xserver(1) , X(7)

## Authors

Authors include: David McKay, Jarno Paananen, Chas Inman, Dave Schmenk, Mark Vojkovich

Table of Contents

- Name
- Synopsis
- Description
- Supported Hardware
- Configuration Details
- See Also
- Authors